deals

Enables you to scrape Deals from Amazon page using the ScrapeIN service

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

The /deals endpoint allows you to GET the results of your request to retrieve lightning deals, daily deals, or "goldbox" for an Amazon page.

Deals on Amazon refer to special promotions and discounts offered on a wide range of products. These deals can include limited-time offers, clearance sales, and other promotional events. By scraping the Deals on Amazon, users can stay informed about the latest promotions, discounts, and special offers, enabling them to find great deals and make informed purchasing decisions and additional business insights.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

json, csv

🚧

Required Deals Parameters

It is recommended using category_id and amazon_domain parameters for specifying your Deals request. If you want to retrieve Deals from the deals homepage for a specific amazon_domain, you can omit the category_id parameter.

It is not recommended to use the url parameter due to potential issues with session and pagination. It is advised to use the category_id and amazon_domain parameters for more reliable and recommended Deals requests.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

📘

Note on parameters

Note that the include_html=true, output=html, and customer_location parameters cannot be used when making Deals requests.

Query Params
string
Defaults to 541966

The parameter is a comma-separated list of Deals category IDs used to retrieve deals results from Amazon. These category IDs are obtained from the Navigation API or the category array in each deals request response. You can provide multiple category IDs by separating them with commas in the category_id parameter. For example, to request deals for Beauty (3760911) and Electronics (172282) categories on amazon.com, the parameters would be category_id=3760911,172282&amazon_domain=amazon.com. If you want to retrieve deals from the deals homepage for a specific Amazon domain, omit the category_id parameter altogether.

string
enum
Defaults to amazon.com

Used to retrieve search results from. Check the Supported Amazon Domains for a complete list of domains supported.

string

The url parameter in the Amazon Deals API specifies the URL of the deals page from which you want to retrieve results. The url parameter must be URL-encoded. It is not recommended to use the url parameter due to potential issues with session and pagination. It is advised to use the category_id and amazon_domain parameters for more reliable and recommended Deals requests.

string
enum

Used to specify the types of deals you want to include. If you don't provide the deal_types parameter, all deal types will be included by default. You can specify multiple deal types by separating them with commas. The valid values for deal_types are: deal_of_the_day : Includes deal-of-the-day deals; lightning_deal : Includes lightning deals; best_deal : Includes best-deal deals.

Allowed:
string
enum

Used to specify the types of deal states you want to include. If you don't provide the deal_states parameter, all deal states will be included by default. You can specify multiple deal states by separating them with commas. The valid values for deal_states are: available : Includes deals that are currently available; upcoming : Includes deals that are scheduled to become available in the future; expired : Includes deals that have already expired.

Allowed:
string
enum

Used to determine the sorting order of the returned deals. You can use the following valid values: featured: sort by featured deals; discount_low_to_high: sort by discount, with the lowest discount first; discount_high_to_low: sort by discount, with the highest discount first; price_low_to_high: sort by price, with the lowest price first; price_high_to_low: sort by price, with the highest price first.

Allowed:
boolean

Used to filter deals based on their Prime eligibility. You can use the following valid values: true: Filter to only Prime-eligible deals. false: Include all deals, regardless of whether they are Prime-eligible or not.

string
enum

Used to specify the minimum customer rating for the deals you want to include. The valid values for the minimum_rating parameter are 1_and_up (include deals with a 1-star rating or higher), 2_and_up (include deals with a 2-star rating or higher), 3_and_up (include deals with a 3-star rating or higher), and 4_and_up (include deals with a 4-star rating or higher).

Allowed:
string

Used to determine the current page of search results to retrieve.

string

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format or in CSV format by setting it to csv.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json